Partially update a dashboard layout
PATCH
/v1/dashboardlayout/{id}/
const url = 'https://example.com/v1/dashboardlayout/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","category":0,"icon":"example","layout_json":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/dashboardlayout/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "category": 0, "icon": "example", "layout_json": "example" }'Update one or more fields of an existing dashboard layout.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this dashboard layout.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
name
string
account
string format: uuid
category
0- Created by user1- Standard2- AWS3- vSphere4- Other
integer
icon
string
layout_json
order
integer
created_at
string format: date-time
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
name
string
account
string format: uuid
category
0- Created by user1- Standard2- AWS3- vSphere4- Other
integer
icon
string
layout_json
order
integer
created_at
string format: date-time
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
string
account
required
string format: uuid
category
0- Created by user1- Standard2- AWS3- vSphere4- Other
integer
icon
string
layout_json
order
required
integer
created_at
required
string format: date-time
Example
{ "category": 0}